module mask_mod

	implicit none


	contains

	subroutine mask_it(trace,n1,min_amp,one,zero)

		real,dimension(:),intent(inout)	:: trace
		integer,          intent(in)    :: n1   
		real,             intent(in)    :: min_amp   
		real,             intent(in)    :: one   
		real,             intent(in)    :: zero   

		integer :: i1
		real	:: amp

		do i1=1,n1
			amp=trace(i1)
			if (amp>min_amp) then
				trace(i1)=zero
			else 
				trace(i1)=one
			end if
		end do

	end subroutine mask_it

end module mask_mod
